> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runpayments.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runpayments.io/_mcp/server.

# Check Surcharge

POST https://javelin.runpayments.io/api/v1/surcharge
Content-Type: application/json

Prior to completing a transaction, you can use this endpoint to check if a transaction will incur a surcharge.

Reference: https://docs.runpayments.io/reference/payments-api/check-surcharge

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a SurchargeRequest.

- `mid` (string, required) — Merchant Account ID
- `postal` (string, required) — Cardholder's postal code
- `account_token` (string, required) — Tokenized account number
- `amount` (string, optional) — Transaction amount

## Response

### 200

Successful response with surcharge information

- `token` (string, optional) — Type of payment method
- `postal` (string, optional) — Status of postal code restrictions
- `fee_amount` (string, optional) — Surcharge fee amount
- `messages` (list of string, optional) — Any additional messages or warnings

## Errors

### 400 Bad Request Error

Bad request

- `error` (string, optional) — Error code
- `error_description` (string, optional) — Detailed error description

### 401 Unauthorized Error

Unauthorized

- `error` (string, optional) — Error code
- `error_description` (string, optional) — Detailed error description

### 403 Forbidden Error

Forbidden

- `error` (string, optional) — Error code
- `error_description` (string, optional) — Detailed error description

### 500 Internal Server Error

Server error

- `error` (string, optional) — Error code
- `error_description` (string, optional) — Detailed error description

## Examples

**Request**

```json
{
  "mid": "1234567890",
  "postal": "10001",
  "account_token": "tok_123456789abcdef",
  "amount": "100.00"
}
```

**Response**

```json
{
  "token": "CREDIT",
  "postal": "NOT_RESTRICTED",
  "fee_amount": "0.06",
  "messages": []
}
```

**SDK Code**

```python
import requests

url = "https://javelin.runpayments.io/api/v1/surcharge"

payload = {
    "mid": "1234567890",
    "postal": "10001",
    "account_token": "tok_123456789abcdef",
    "amount": "100.00"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://javelin.runpayments.io/api/v1/surcharge';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"mid":"1234567890","postal":"10001","account_token":"tok_123456789abcdef","amount":"100.00"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://javelin.runpayments.io/api/v1/surcharge"

	payload := strings.NewReader("{\n  \"mid\": \"1234567890\",\n  \"postal\": \"10001\",\n  \"account_token\": \"tok_123456789abcdef\",\n  \"amount\": \"100.00\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://javelin.runpayments.io/api/v1/surcharge")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"mid\": \"1234567890\",\n  \"postal\": \"10001\",\n  \"account_token\": \"tok_123456789abcdef\",\n  \"amount\": \"100.00\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://javelin.runpayments.io/api/v1/surcharge")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"mid\": \"1234567890\",\n  \"postal\": \"10001\",\n  \"account_token\": \"tok_123456789abcdef\",\n  \"amount\": \"100.00\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://javelin.runpayments.io/api/v1/surcharge', [
  'body' => '{
  "mid": "1234567890",
  "postal": "10001",
  "account_token": "tok_123456789abcdef",
  "amount": "100.00"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://javelin.runpayments.io/api/v1/surcharge");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"mid\": \"1234567890\",\n  \"postal\": \"10001\",\n  \"account_token\": \"tok_123456789abcdef\",\n  \"amount\": \"100.00\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "mid": "1234567890",
  "postal": "10001",
  "account_token": "tok_123456789abcdef",
  "amount": "100.00"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://javelin.runpayments.io/api/v1/surcharge")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```